From 62c4f0d086d76f54a5cc63e5a8741d5f30a7691a Mon Sep 17 00:00:00 2001
From: Nico Schottelius <nico@kr.ethz.ch>
Date: Mon, 28 Mar 2011 15:16:48 +0200
Subject: [PATCH] ABORT if explorer fails, not only WARN

Signed-off-by: Nico Schottelius <nico@kr.ethz.ch>
---
 bin/cdist-remote-explorer-run | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

diff --git a/bin/cdist-remote-explorer-run b/bin/cdist-remote-explorer-run
index 1fdd1467..028f8d7d 100755
--- a/bin/cdist-remote-explorer-run
+++ b/bin/cdist-remote-explorer-run
@@ -57,16 +57,16 @@ for explorer in "$__cdist_explorer_dir/"*; do
 
    if [ -f "$explorer" ]; then
       if [ ! -x "$explorer" ]; then
-         echo "Explorer \"$explorer\" exists, but is not executable."
-         continue
+         echo "Explorer \"$explorer\" exists, but is not executable." >&2
+         exit 1
       fi
 
       # Execute explorers and save results in remote destination directory
       "$explorer" > "${__cdist_my_out_dir}/$explorer_name"
    else
       if [ -e "$explorer" ]; then
-         echo "Explorer \"$explorer\" exists, but is not a file."
-         continue
+         echo "Explorer \"$explorer\" exists, but is not a file." >&2
+         exit 1
       fi
    fi
 done